---
title: Create a Workflow
description: This end point creates a new workflow.
url: https://storyblok.com/docs/api/management/workflows/create-a-workflow
---

# Create a Workflow

POST

```html
https://mapi.storyblok.com/v1/spaces/:space_id/workflows
```

This end point creates a new workflow.

## Path parameters

-   `:space_id` (number)
    
    Numeric ID of a space
    

## Request body properties

-   `workflow` (Workflow Object)
    
    A [workflow object](/docs/api/management/workflows/workflow-object)
    

## Response properties

-   `workflow` (Workflow Object)
    
    A [workflow object](/docs/api/management/workflows/workflow-object)
    

## Examples

Example Request

-   cURL
    
    ```shellscript
    curl "https://mapi.storyblok.com/v1/spaces/288868932106293/workflows" \
      -X POST \
      -H "Authorization: YOUR_OAUTH_TOKEN" \
      -H "Content-Type: application/json" \
      -d "{\"workflow\":{\"content_types\":[\"page\"],\"name\":\"page\"}}"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",
    });
    
    try {
      const response = await storyblok.post('spaces/288868932106293/workflows', {
        "workflow": {
          "content_types": [
            "page"
          ],
          "name": "page"
        }
      })
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
    
    $payload = ["workflow" => ["content_types" => ["page"],"name" => "page"]];
    
    $client->post('spaces/288868932106293/workflows', $payload)->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.post("https://mapi.storyblok.com/v1/spaces/288868932106293/workflows")
      .header("Content-Type", "application/json")
      .header("Authorization", "YOUR_OAUTH_TOKEN")
      .body({"workflow":{"content_types":["page"],"name":"page"}})
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/workflows");
    var request = new RestRequest(Method.POST);
    
    request.AddHeader("Content-Type", "application/json");
    request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");
    request.AddParameter("application/json", "{\"workflow\":{\"content_types\":[\"page\"],\"name\":\"page\"}}", ParameterType.RequestBody);
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://mapi.storyblok.com/v1/spaces/288868932106293/workflows"
    
    querystring = {}
    
    payload = {"workflow":{"content_types":["page"],"name":"page"}}
    headers = {
      'Content-Type': "application/json",
      'Authorization': "YOUR_OAUTH_TOKEN"
    }
    
    response = requests.request("POST", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
    
    payload = {"workflow" => {"content_types" => ["page"],"name" => "page"}}
    
    client.post('spaces/288868932106293/workflows', payload)
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))
    var request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/workflows")
    request.httpMethod = "POST"
    request.httpBody = try JSONSerialization.data(withJSONObject: [
        "workflow": [
            "content_types": [
                "page",
            ],
            "name": "page",
        ],
    ])
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(MAPI)) {
            accessToken = OAuth("YOUR_OAUTH_TOKEN")
        }
    }
    
    val response = client.post("spaces/288868932106293/workflows") {
        setBody(buildJsonObject {
            putJsonObject("workflow") {
                putJsonArray("content_types") {
                    add("page")
                }
                put("name", "page")
            }
        })
    }
    
    println(response.body<JsonElement>())
    ```

You will receive a [workflow object](/docs/api/management/custom-workflows/custom-workflow-object) as a response.

## Pagination

-   [Previous: Workflows](/docs/api/management/workflows)
-   [Next: Delete a Workflow](/docs/api/management/workflows/delete-a-workflow)
